list_of_unique_names = [
    "Баттерфляй",
    "Болгарские сплит-приседения",
    "Брусья",
    "Вертикальная тяга одной рукой",
    "Выпады",
    "Гиперэкстензия",
    "Гравитрон",
    "Гребная тяга с упором в грудь",
    "Гребная тяга с упором в грудь (одной рукой)",
    "Дельт машина (разведение рук в стороны)",
    "Жим гантелей лежа",
    "Жим гантелей лежа (Под углом 45 градусов)",
    "Жим гантелей сидя",
    "Жим ногами",
    "Жим от груди сидя в тренажере (рычаги)",
    "Гиперэкстензия",
]


default_mapping = {
    "Баттерфляй": "Баттерфляй",
    "Болгарские приседания на одну ногу": "Болгарские сплит-приседения",
    "Брусья": "Брусья",
    "Брусья узким хватом": "Брусья",
    "Вертикальная тяга одной рукой 45⁰": "Вертикальная тяга одной рукой",
    "Выпады вперед по очереди каждой ногой": "Выпады",
    "Выпады с гантелями на одну ногу вперед": "Выпады",
    "Гиперэкстензия": "Гиперэкстензия",
    "Гравитрон": "Гравитрон",
    "Гравитрон (медленно вниз)": "Гравитрон",
    "Гребная тяга с упорм в грудь": "Гребная тяга с упором в грудь",
    "Гребная тяга с упором в грудь": "Гребная тяга с упором в грудь",
    "Гребная тяга с упором в грудь (одна рука)": "Гребная тяга с упором в грудь (одной рукой)",
    "Дельт машина": "Дельт машина (разведение рук в стороны)",
    "Дельт машина (разведение рук в стороны)": "Дельт машина (разведение рук в стороны)",
    "Жим гантелей лежа": "Жим гантелей лежа",
    "Жим гантелей лежа на скамье": "Жим гантелей лежа",
    "Жим гантелей лежа на скамье 30⁰": "Жим гантелей лежа (Под углом 45 градусов)",
    "Жим гантелей лёжа": "Жим гантелей лежа",
    "Жим гантелей лёжа на скамейке 45⁰": "Жим гантелей лежа (Под углом 45 градусов)",
    "Жим гантелей на скамье 65⁰": "Жим гантелей лежа (Под углом 45 градусов)",
    "Жим гантелей сидя": "Жим гантелей сидя",
    "Жим гантелей сидя 80⁰": "Жим гантелей сидя",
    "Жим гантелей сидя 85⁰": "Жим гантелей сидя",
    "Жим гантелей сидя 8⁰": "Жим гантелей сидя",
    "Жим гантелей сидя 90⁰": "Жим гантелей сидя",
    "Жим гантелей сидя на скамье": "Жим гантелей сидя",
    "Жим ногами": "Жим ногами",
    "Жим ногами ш-ш-ш": "Жим ногами",
    "Жим от груди (рычаги)": "Жим от груди сидя в тренажере (рычаги)",
    "Жим от груди рычаги": "Жим от груди сидя в тренажере (рычаги)",
    "Жим от груди сидя (рычаги)": "Жим от груди сидя в тренажере (рычаги)",
    "Жим от груди сидя в тренажере (рычаги)": "Жим от груди сидя в тренажере (рычаги)",
    "Жим от груди сидя в тренажёре (рычаги)": "Жим от груди сидя в тренажере (рычаги)",
    "Жим от груди сидя рычаги": "Жим от груди сидя в тренажере (рычаги)",
    "Жим от плеч вверх (тренажёр, рычаги)": 1,
    "Жим от плеч вверх в тренажёре": 2,
    "Жим от плеч вверх рычаги": 2,
    "Жим от плеч сидя (рычаги наверху)": 2,
    "Жим от плеч сидя в тренажере (рычаги)": 1,
    "Икроножные сидя": 6,
    "Икроножные сидя за": 1,
    "Кроссовер - отжимание на трицепс": 1,
    "Мах руки в кроссовере": 1,
    "Отведение плеча в сторону в кроссовере": 1,
    "Отведение руки в кроссовере из за спины": 1,
    "Отведение руки в кроссовере по очереди каждую руку": 1,
    "Отведение руки в пек дек (по очереди каждой рукой)": 1,
    "Отведение руки в пек дек (по очереди)": 1,
    "Отведение руки в сторону (дефоли) в кроссовере": 1,
    "Отведение руки назад в кроссовере (аналог пек дек одной рукой)": 1,
    "Отжимания": 1,
    "Подтягивания": 18,
    "Подтягивания обратным хватом": 2,
    "Подтянивания": 1,
    "Подъём ног в висе": 1,
    "Приседания": 1,
    "Разведение рук а стороны сидя": 1,
    "Разведение рук в наклоне": 3,
    "Разведение рук в наклоне сидя": 1,
    "Разведение рук в стороны": 3,
    "Разведение рук в стороны (дельт машина)": 1,
    "Разведение рук в стороны (дельт-машина)": 4,
    "Разведение рук в стороны в наклоне с гантелями": 1,
    "Разведение рук в стороны в тренажаре": 1,
    "Разведение рук в стороны с гантелями стоя": 1,
    "Разведение рук в стороны сидя": 1,
    "Разведение рук в стороны сидя спиной к тренажеру": 1,
    "Разведение рук в стороны стоя": 1,
    "Разведение рук в строоны (дельт-машина)": 1,
    "Разведение рук в стророны (дельт-машина)": 1,
    "Разведение рук назад в пек дек": 1,
    "Разведение рук назад пёк дек": 1,
    "Разведение рук пек дек": 6,
    "Разведение рук пёк дек": 1,
    "Разгибание ног сидя": 15,
    "Разгибание рук сидя (трицепс машина)": 1,
    "Румынская тяга": 3,
    "Сведение пек дек": 1,
    "Сведение рук в пек дек": 1,
    "Сведение рук в пек декх": 1,
    "Сведение рук пек дек": 5,
    "Сведение рук пёк дек": 1,
    "Сгибание ног лежа": 8,
    "Сгибание ног лёжа": 2,
    "Сгибание ног сидя": 5,
    "Сгибание рук с гантелями стоя (супинирование?)": 1,
    "Сгибание штанги стоя на бицепс": 1,
    "Трицепс машина": 8,
    "Тяга вертикального блока": 7,
    "Тяга вертикального блока обратным хватом": 1,
    "Тяга вертикального блока прямым хватом": 2,
    "Тяга верхнего блока": 1,
    "Тяга верхнего блока за": 1,
    "Тяга гантелей в наклоне": 1,
    "Тяга гантелей к поясу лёжа на животе на скамье": 1,
    "Тяга гантелей лежа на животе на скамье 80°": 1,
    "Тяга гантелей на скамье": 1,
    "Тяга гантели в наклоне": 4,
    "Тяга гантели в наклоне 1 рукой": 1,
    "Тяга гантели в наклоне к поясу к стойки": 1,
    "Тяга гантели в наклоне одной рукой": 5,
    "Тяга гантели в наклоне одной рукой (каждой)": 1,
    "Тяга гантели лежа в наклоне на скамье": 1,
    "Тяга горизонтально блока одной рукой": 2,
    "Тяга горизонтального блока": 15,
    "Тяга горизонтального блока 1 рукой поочерёдно": 1,
    "Тяга горизонтального блока одной рукой": 2,
}

backup = {
    "Баттерфляй": 13,
    "Болгарские приседания на одну ногу": 1,
    "Брусья": 5,
    "Брусья узким хватом": 2,
    "Вертикальная тяга одной рукой 45⁰": 1,
    "Выпады вперед по очереди каждой ногой": 1,
    "Выпады с гантелями на одну ногу вперед": 1,
    "Гиперэкстензия": 7,
    "Гравитрон": 1,
    "Гравитрон (медленно вниз)": 1,
    "Гребная тяга с упорм в грудь": 2,
    "Гребная тяга с упором в грудь": 2,
    "Гребная тяга с упором в грудь (одна рука)": 1,
    "Дельт машина": 1,
    "Дельт машина (разведение рук в стороны)": 1,
    "Жим гантелей лежа": 4,
    "Жим гантелей лежа на скамье": 2,
    "Жим гантелей лежа на скамье 30⁰": 1,
    "Жим гантелей лёжа": 3,
    "Жим гантелей лёжа на скамейке 45⁰": 1,
    "Жим гантелей на скамье 65⁰": 1,
    "Жим гантелей сидя": 8,
    "Жим гантелей сидя 80⁰": 3,
    "Жим гантелей сидя 85⁰": 1,
    "Жим гантелей сидя 8⁰": 1,
    "Жим гантелей сидя 90⁰": 1,
    "Жим гантелей сидя на скамье": 1,
    "Жим ногами": 7,
    "Жим ногами ш-ш-ш": 1,
    "Жим от груди (рычаги)": 1,
    "Жим от груди рычаги": 4,
    "Жим от груди сидя (рычаги)": 2,
    "Жим от груди сидя в тренажере (рычаги)": 1,
    "Жим от груди сидя в тренажёре (рычаги)": 2,
    "Жим от груди сидя рычаги": 1,
    "Жим от плеч вверх (тренажёр, рычаги)": 1,
    "Жим от плеч вверх в тренажёре": 2,
    "Жим от плеч вверх рычаги": 2,
    "Жим от плеч сидя (рычаги наверху)": 2,
    "Жим от плеч сидя в тренажере (рычаги)": 1,
    "Икроножные сидя": 6,
    "Икроножные сидя за": 1,
    "Кроссовер - отжимание на трицепс": 1,
    "Мах руки в кроссовере": 1,
    "Отведение плеча в сторону в кроссовере": 1,
    "Отведение руки в кроссовере из за спины": 1,
    "Отведение руки в кроссовере по очереди каждую руку": 1,
    "Отведение руки в пек дек (по очереди каждой рукой)": 1,
    "Отведение руки в пек дек (по очереди)": 1,
    "Отведение руки в сторону (дефоли) в кроссовере": 1,
    "Отведение руки назад в кроссовере (аналог пек дек одной рукой)": 1,
    "Отжимания": 1,
    "Подтягивания": 18,
    "Подтягивания обратным хватом": 2,
    "Подтянивания": 1,
    "Подъём ног в висе": 1,
    "Приседания": 1,
    "Разведение рук а стороны сидя": 1,
    "Разведение рук в наклоне": 3,
    "Разведение рук в наклоне сидя": 1,
    "Разведение рук в стороны": 3,
    "Разведение рук в стороны (дельт машина)": 1,
    "Разведение рук в стороны (дельт-машина)": 4,
    "Разведение рук в стороны в наклоне с гантелями": 1,
    "Разведение рук в стороны в тренажаре": 1,
    "Разведение рук в стороны с гантелями стоя": 1,
    "Разведение рук в стороны сидя": 1,
    "Разведение рук в стороны сидя спиной к тренажеру": 1,
    "Разведение рук в стороны стоя": 1,
    "Разведение рук в строоны (дельт-машина)": 1,
    "Разведение рук в стророны (дельт-машина)": 1,
    "Разведение рук назад в пек дек": 1,
    "Разведение рук назад пёк дек": 1,
    "Разведение рук пек дек": 6,
    "Разведение рук пёк дек": 1,
    "Разгибание ног сидя": 15,
    "Разгибание рук сидя (трицепс машина)": 1,
    "Румынская тяга": 3,
    "Сведение пек дек": 1,
    "Сведение рук в пек дек": 1,
    "Сведение рук в пек декх": 1,
    "Сведение рук пек дек": 5,
    "Сведение рук пёк дек": 1,
    "Сгибание ног лежа": 8,
    "Сгибание ног лёжа": 2,
    "Сгибание ног сидя": 5,
    "Сгибание рук с гантелями стоя (супинирование?)": 1,
    "Сгибание штанги стоя на бицепс": 1,
    "Трицепс машина": 8,
    "Тяга вертикального блока": 7,
    "Тяга вертикального блока обратным хватом": 1,
    "Тяга вертикального блока прямым хватом": 2,
    "Тяга верхнего блока": 1,
    "Тяга верхнего блока за": 1,
    "Тяга гантелей в наклоне": 1,
    "Тяга гантелей к поясу лёжа на животе на скамье": 1,
    "Тяга гантелей лежа на животе на скамье 80°": 1,
    "Тяга гантелей на скамье": 1,
    "Тяга гантели в наклоне": 4,
    "Тяга гантели в наклоне 1 рукой": 1,
    "Тяга гантели в наклоне к поясу к стойки": 1,
    "Тяга гантели в наклоне одной рукой": 5,
    "Тяга гантели в наклоне одной рукой (каждой)": 1,
    "Тяга гантели лежа в наклоне на скамье": 1,
    "Тяга горизонтально блока одной рукой": 2,
    "Тяга горизонтального блока": 15,
    "Тяга горизонтального блока 1 рукой поочерёдно": 1,
    "Тяга горизонтального блока одной рукой": 2,
}
